Skip to main content
PUT
Set Entitlement Provisioning Workflow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entitlement_uuid
string
required

The entitlement's ID, which GET /v1/entitlements and GET /v1/apps/{app_uuid}/entitlements return as id.

Body

application/json

Request body to bind a workflow to an app or entitlement.

workflow_id
string
required

UUID of the workflow to associate.

Response

Successful Response

Response shape for a Workflow.

id
string
required

A UUID identifying this Workflow.

type
enum<string>
required

The kind of workflow.

Available options:
approval,
approval-chain,
entitlement-provisioning,
entitlement-deprovisioning,
account-provisioning,
account-deprovisioning
steps
WorkflowStepOutput · object[]
required

The ordered steps of the workflow.

name
string | null

A name for this Workflow.

description
string | null

A description of this Workflow.

app_id
string | null

UUID of the app this Workflow belongs to, if associated.